curl --request PATCH \
--url https://tandem.hlofiys.xyz/api/events/{event_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"start_time": "2025-09-15T19:00:00Z",
"is_visible": false,
"end_time": "2025-09-15T19:00:00Z",
"max_bookings_per_user": 123,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
],
"hall_id": 123
}
'import requests
url = "https://tandem.hlofiys.xyz/api/events/{event_id}"
payload = {
"name": "<string>",
"description": "<string>",
"start_time": "2025-09-15T19:00:00Z",
"is_visible": False,
"end_time": "2025-09-15T19:00:00Z",
"max_bookings_per_user": 123,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
],
"hall_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
start_time: '2025-09-15T19:00:00Z',
is_visible: false,
end_time: '2025-09-15T19:00:00Z',
max_bookings_per_user: 123,
schedule: [{time: '15:00', description: '<string>'}],
hall_id: 123
})
};
fetch('https://tandem.hlofiys.xyz/api/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_id": 123,
"name": "<string>",
"description": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"max_bookings_per_user": 1,
"preview_image_url": "<string>",
"is_visible": false,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
],
"hall_id": 123
}{
"message": "Validation failed",
"errors": {
"name": "The name field is required.",
"price": "The price must be a valid number.",
"hall_id": "A valid hall_id is required."
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Update event
Updates the details of an existing event by its unique ID.
Only the fields provided in the request body will be updated. Unspecified fields will remain unchanged.
This is a protected endpoint. Access is restricted to users with admin or manager roles.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Event name
Event description
Event start time. Must be on the same day as end_time.
"2025-09-15T19:00:00Z"
Controls whether the event is displayed on the public-facing event list
Event end time. Must be on the same day as start_time.
"2025-09-15T19:00:00Z"
The maximum number of seats a single user can book for this event
Show child attributes
Show child attributes
Unique hall ID
Response
The event has been successfully updated
Event name
Event description
Event start time
Event end time
The maximum number of seats a single user can book for this event
Link to download the event preview image
Controls whether the event is displayed on the public-facing event list
Show child attributes
Show child attributes
Unique hall ID